Represents media information for a message in a channel.

### Hierarchy

- Media

## Index

### Accessors

- contentType
- filename
- sid
- size

### Methods

- getContentTemporaryUrl

## Accessors

### contentType

- get contentType(): string

- Content type of the media.

  #### Returns string

### filename

- get filename(): string

- File name. Null if absent.

  #### Returns string

### sid

- get sid(): string

- Server-assigned unique identifier for the media.

  #### Returns string

### size

- get size(): number

- Size of the media in bytes.

  #### Returns number

## Methods

### getContentTemporaryUrl

- getContentTemporaryUrl(): Promise<string>

- Returns the direct content URL for the media.

  This URL is impermanent, it will expire in several minutes and cannot be cached. If the URL becomes expired, you need to request a new one. Each call to this function produces a new temporary URL.

  #### Returns Promise<string>